#!/usr/bin/perl 

# squidguard.cgi - Filtrage d'URLs. Ce script rend obsolte les anciens
# filtrage_url.cgi*
# Version 1.1

# This script is part of the SLIS Project initiated by the CARMI-Internet
# (Acadmie de Grenoble - France 38).
# Ce script fait partie du projet SLIS dmarr par le CARMI-Internet
# (Acadmie de Grenoble - France 38).
#
# SLIS : Serveur de communications Linux pour l'Internet Scolaire.
# Copyright (C) 2000 Bruno Bzeznik
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#    You should have received a copy of the GNU General Public License
#    along with this program (For example ./COPYING);
#    if not, write to the Free Software Foundation, Inc., 675 Mass Ave,
#    Cambridge, MA 02139, USA.
#
# Please send all comments and bug reports by electronic mail to:
#   Bruno Bzeznik <Bruno@ac-grenoble.fr>
# or to <slis@ac-grenoble.fr>
#
# Envoyez vos suggestions et reports de bugs par e-mail 
#   Bruno Bzeznik <Bruno@ac-grenoble.fr>
# ou  <slis@ac-grenoble.fr>
#

# Variables
do '/home/hadmin/slis.conf.pl';

use CGI ; 
$html = new CGI ;
print $html->header ; 

# Lecture de l'entete standard HTML
open (HEAD,"$ENTETE");
print <HEAD> ;
close HEAD ;

# Lecture des parametres administrateur
open (PARAMS,"$BASE/params_admin.txt");
@param= <PARAMS> ;

# Tests de validit
if ($param[2] eq "") {
  print "<CENTER>";
  print "Vous n'avez pas entr&eacute; correctement les param&egrave;tres administrateur\n";
  print "<A HREF=/cgi-bin/params_admin_form.cgi>VEUILLEZ LE FAIRE.</A>\n";
  print "</CENTER></BODY></HTML>";
  exit;
  }

open(DOMAINS,">$QUEUE/perso_domains");
print  DOMAINS $html->param('domains') ;
close DOMAINS;

open(URLS,">$QUEUE/perso_urls");
print  URLS $html->param('urls') ;
close URLS;

open(EXPRESSIONS,">$QUEUE/perso_expressions");
$liste=$html->param('expressions');
$_=$liste;
if ( $liste ne "" && !(/^\r*\n+/) ) {
  print EXPRESSIONS "(";
  @expressions=split(/[\r*\n]+/,$liste);
  $flag=0;
  foreach my $exp (@expressions) {
    chomp($exp);
    if ($flag) {print EXPRESSIONS "|";};
    print EXPRESSIONS $exp;
    $flag=1;
  }
  print EXPRESSIONS ")";
}
close EXPRESSIONS;

open(DB,">$QUEUE/squidguard_databases");
if ( $html->param('adult') eq "1") {
  print  DB "adult\n" ;
}
if ( $html->param('warez') eq "1") {
  print  DB "warez\n" ;
}
if ( $html->param('forums') eq "1") {
  print  DB "forums\n" ;
}
if ( $html->param('academie') eq "1") {
  print  DB "academie\n" ;
}
if ( $html->param('publicite') eq "1") {
  print  DB "publicite\n" ;
}
if ( $html->param('personnalisee') eq "1") {
  print  DB "perso\n" ;
}
close DB;


# Ecriture du resultat
print "<CENTER><H3><I>Les informations ont &eacute;t&eacute; enregistr&eacute;es" ;
print "\n</I></H3><P>Vos op&eacute;rations seront prises en compte lors de la" ;
print " prochaine validation.<P>\n" ;
print "<FONT COLOR=FF0000><P>En raison du volume d'informations important
&agrave; traiter,<br> la prochaine validation peut rendre votre serveur
indisponible pendant quelques instants.</FONT>";

# Lecture du pied de page standard
open (FOOT,"$PIED");
print <FOOT> ;
close FOOT ;

`touch $QUEUE/squid_guard`;

close(PARAMS);
